Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The limit to the total number of IDs you can include in the filter params below is 2000. If the limit is exceeded, Samsara will respond with a
414 Request-URI Too Large error.By Tags
On most endpoints, you can optionally filter by tags. Tags can have hierarchies. In other words, a parent tag can contain multiple child tags for hierarchical organization of your data. Parent tags can both contain child tags as well as directly contain data. ThetagIds parameter will filter your request to the data contained directly within the tags listed. Data from child tags will not be listed. For example:
1478411, 1047212). Data from any child tags will not be listed.
The parentTagIds parameter will filter your request to the data contained directly within the tags listed and from child tags. For example:
1054220, 1901013) as well as vehicles in any child tags.
By Object ID
On some endpoints, you can optionally filter by providing a comma-separated list of object IDs to the given query parameter. This will return data for any of the objects listed in the parameter. For example:By Timestamp
Some endpoints support filtering based on when the objects were created or updated.- The
createdAfterTimequery parameter allows you to filter to objects that were created after a given time. - The
updateAfterTimequery parameter allows you to filter to objects that were created after a given time.